/// <reference types="react" />
import * as React from "react";
export interface IGettextProp<LangeEnum> {
    languageCode: LangeEnum;
    languageLoadedCallback?(err: Error): void;
    languageLoadedCallback?(err: undefined, newLanguageRendered: boolean): void;
}
export declare abstract class JedPureComponent<P, S, LangeEnum> extends React.PureComponent<IGettextProp<LangeEnum>, S> {
    props: Readonly<{
        children?: React.ReactNode;
    }> & Readonly<IGettextProp<LangeEnum>> & Readonly<P>;
    private i18n;
    protected constructor(props?: IGettextProp<LangeEnum> & P, context?: any);
    protected _(msgid: string): string;
    protected abstract getTranslation(): Promise<{} | void>;
    protected ngettext(msgid: string, msgidPlural: string, value: number): string;
    private initLanguage();
}
